cascading.tuple.hadoop.collect

## Class HadoopTupleCollectionFactory

- java.lang.Object
- - cascading.tuple.hadoop.collect.HadoopTupleCollectionFactory

- All Implemented Interfaces:
    CascadingFactory<Configuration,Collection<Tuple>>, TupleCollectionFactory<Configuration>

      public class HadoopTupleCollectionFactory
      extends Object
      implements TupleCollectionFactory<Configuration>

- - ### Field Summary

    - ### Fields inherited from interface cascading.tuple.collect.TupleCollectionFactory

      `TUPLE_COLLECTION_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopTupleCollectionFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<Tuple>` | `create(FlowProcess<? extends Configuration> flowProcess)`
    `void` | `initialize(FlowProcess<? extends Configuration> flowProcess)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopTupleCollectionFactory

          public HadoopTupleCollectionFactory()

  - ### Method Detail

    - #### initialize

          public void initialize(FlowProcess<? extends Configuration> flowProcess)

      Specified by:
        `initialize` in interface `CascadingFactory<Configuration,Collection<Tuple>>`

    - #### create

          public Collection<Tuple> create(FlowProcess<? extends Configuration> flowProcess)

      Specified by:
        `create` in interface `CascadingFactory<Configuration,Collection<Tuple>>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.